## org.eclipse.emf.cdo.session
Interface CDOSessionConfiguration

All Known Subinterfaces:
  CDOSessionConfiguration

    public interface CDOSessionConfiguration

Since:
  2.0

Method Summary
`CDOAuthenticator` `getAuthenticator()` Returns the authenticator of this configuration, never `null`.
`CDOSession.ExceptionHandler` `getExceptionHandler()`
`CDOPackageRegistry` `getPackageRegistry()`
`java.lang.String` `getRepositoryName()`
`CDORevisionCache` `getRevisionCache()`
`boolean` `isActivateOnOpen()` Returns `true` if the session opened by `openSession()` will be automatically activated, `false` otherwise.
`boolean` `isSessionOpen()` Returns `true` if the session for this configuration is currently open, `false` otherwise.
`CDOSession` `openSession()` Opens the session for this configuration.
`void` `setActivateOnOpen(boolean activateOnOpen)` Specifies whether the session opened by `openSession()` will be automatically activated or not.
`void` `setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)` A special exception handler can be set before the session is opened and can not be changed thereafter.
`void` `setPackageRegistry(CDOPackageRegistry packageRegistry)` A special package registry can be set before the session is opened and can not be changed thereafter.
`void` `setRepositoryName(java.lang.String repositoryName)`
`void` `setRevisionCache(CDORevisionCache revisionCache)` A special revision cache can be set before the session is opened and can not be changed thereafter.

Method Detail

### getRepositoryName

    java.lang.String getRepositoryName()

  See Also:
    `CDOSession#getName()`

### setRepositoryName

    void setRepositoryName(java.lang.String repositoryName)

  See Also:
    `CDOSession#getName()`

### getExceptionHandler

    CDOSession.ExceptionHandler getExceptionHandler()

  See Also:
    `CDOSession.getExceptionHandler()`

### setExceptionHandler

    void setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)

  A special exception handler can be set before the session is opened and can not be changed thereafter.

  See Also:
    `CDOSession.getExceptionHandler()`

### getPackageRegistry

    CDOPackageRegistry getPackageRegistry()

  See Also:
    `CDOSession.getPackageRegistry()`

### setPackageRegistry

    void setPackageRegistry(CDOPackageRegistry packageRegistry)

  A special package registry can be set before the session is opened and can not be changed thereafter.

  See Also:
    `CDOSession.getPackageRegistry()`

### getRevisionCache

    CDORevisionCache getRevisionCache()

  See Also:
    `CDORevisionResolverImpl.getCache()`

### setRevisionCache

    void setRevisionCache(CDORevisionCache revisionCache)

  A special revision cache can be set before the session is opened and can not be changed thereafter.

  See Also:
    `CDORevisionResolverImpl.setCache(CDORevisionCache)`

### getAuthenticator

    CDOAuthenticator getAuthenticator()

  Returns the authenticator of this configuration, never `null`.

### isActivateOnOpen

    boolean isActivateOnOpen()

  Returns `true` if the session opened by `openSession()` will be automatically activated, `false` otherwise.

### setActivateOnOpen

    void setActivateOnOpen(boolean activateOnOpen)

  Specifies whether the session opened by `openSession()` will be automatically activated or not.

### isSessionOpen

    boolean isSessionOpen()

  Returns `true` if the session for this configuration is currently open, `false` otherwise.

### openSession

    CDOSession openSession()

  Opens the session for this configuration. Once the session is openend this method always returns the same session instance. Therefore it is impossible to change this configuration while the session is open.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.